5.3.0-git
2014-11-25

[#10931] submitting public key to keyserver fails
Summary submitting public key to keyserver fails
Queue IMP
Queue Version 5.0.15
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester nathan (at) lstc (dot) com
Created 2012-01-18 (1042 days ago)
Due
Updated 2013-12-17 (343 days ago)
Assigned
Resolved 2013-11-13 (377 days ago)
Milestone
Patch No

History
2013-12-17 11:39:52 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 09c1913ecd9fbaebbfc72ae4be4f2472c62dd8ed
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 18:28:58 2013 -0700

     [mms] Move PGP keyserver code to a separate 
Horde_Crypt_Pgp_Keyserver class.

     [mms] PGP keyserver code now uses Horde_Http_Client to connect to 
the keyserver.
     [mms] Fix submitting PGP keys to a public keyserver (Bug #10931).

  framework/Crypt/lib/Horde/Crypt/Pgp.php            |  199 +++--------------
  framework/Crypt/lib/Horde/Crypt/Pgp/Keyserver.php  |  236 
++++++++++++++++++++
  framework/Crypt/package.xml                        |   26 ++-
  .../Crypt/test/Horde/Crypt/PgpKeyserverTest.php    |   24 +-
  framework/Crypt/test/Horde/Crypt/conf.php.dist     |    2 +-
  5 files changed, 306 insertions(+), 181 deletions(-)

http://git.horde.org/horde-git/-/commit/09c1913ecd9fbaebbfc72ae4be4f2472c62dd8ed
2013-12-17 11:39:36 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 47502c301a032da8d90d3f663fe055ca62d3449a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 18:28:58 2013 -0700

     [mms] Move PGP keyserver code to a separate 
Horde_Crypt_Pgp_Keyserver class.

     [mms] PGP keyserver code now uses Horde_Http_Client to connect to 
the keyserver.
     [mms] Fix submitting PGP keys to a public keyserver (Bug #10931).

  framework/Crypt/lib/Horde/Crypt/Pgp.php            |  199 +++--------------
  framework/Crypt/lib/Horde/Crypt/Pgp/Keyserver.php  |  236 
++++++++++++++++++++
  framework/Crypt/package.xml                        |   26 ++-
  .../Crypt/test/Horde/Crypt/PgpKeyserverTest.php    |   24 +-
  framework/Crypt/test/Horde/Crypt/conf.php.dist     |    2 +-
  5 files changed, 306 insertions(+), 181 deletions(-)

http://git.horde.org/horde-git/-/commit/47502c301a032da8d90d3f663fe055ca62d3449a
2013-12-17 11:39:18 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 43c3dd7abd06ce6a566c5ba23d834591b08f3a7a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 18:28:58 2013 -0700

     [mms] Move PGP keyserver code to a separate 
Horde_Crypt_Pgp_Keyserver class.

     [mms] PGP keyserver code now uses Horde_Http_Client to connect to 
the keyserver.
     [mms] Fix submitting PGP keys to a public keyserver (Bug #10931).

  framework/Crypt/lib/Horde/Crypt/Pgp.php            |  199 +++--------------
  framework/Crypt/lib/Horde/Crypt/Pgp/Keyserver.php  |  236 
++++++++++++++++++++
  framework/Crypt/package.xml                        |   26 ++-
  .../Crypt/test/Horde/Crypt/PgpKeyserverTest.php    |   24 +-
  framework/Crypt/test/Horde/Crypt/conf.php.dist     |    2 +-
  5 files changed, 306 insertions(+), 181 deletions(-)

http://git.horde.org/horde-git/-/commit/43c3dd7abd06ce6a566c5ba23d834591b08f3a7a
2013-12-17 11:39:00 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 03ca5ae47839ffe58eb82012418007fa86dd6b38
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 18:28:58 2013 -0700

     [mms] Move PGP keyserver code to a separate 
Horde_Crypt_Pgp_Keyserver class.

     [mms] PGP keyserver code now uses Horde_Http_Client to connect to 
the keyserver.
     [mms] Fix submitting PGP keys to a public keyserver (Bug #10931).

  framework/Crypt/lib/Horde/Crypt/Pgp.php            |  199 +++--------------
  framework/Crypt/lib/Horde/Crypt/Pgp/Keyserver.php  |  236 
++++++++++++++++++++
  framework/Crypt/package.xml                        |   26 ++-
  .../Crypt/test/Horde/Crypt/PgpKeyserverTest.php    |   24 +-
  framework/Crypt/test/Horde/Crypt/conf.php.dist     |    2 +-
  5 files changed, 306 insertions(+), 181 deletions(-)

http://git.horde.org/horde-git/-/commit/03ca5ae47839ffe58eb82012418007fa86dd6b38
2013-11-13 01:34:01 Michael Slusarz Comment #6
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Horde_Crypt 2.4.0.
2013-11-13 01:33:06 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 6defd320c3049fac13514d9555f05452ea05b3da
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 18:28:58 2013 -0700

     [mms] Move PGP keyserver code to a separate 
Horde_Crypt_Pgp_Keyserver class.

     [mms] PGP keyserver code now uses Horde_Http_Client to connect to 
the keyserver.
     [mms] Fix submitting PGP keys to a public keyserver (Bug #10931).

  framework/Crypt/lib/Horde/Crypt/Pgp.php            |  199 +++--------------
  framework/Crypt/lib/Horde/Crypt/Pgp/Keyserver.php  |  236 
++++++++++++++++++++
  framework/Crypt/package.xml                        |   26 ++-
  .../Crypt/test/Horde/Crypt/PgpKeyserverTest.php    |   24 +-
  framework/Crypt/test/Horde/Crypt/conf.php.dist     |    2 +-
  5 files changed, 306 insertions(+), 181 deletions(-)

http://git.horde.org/horde-git/-/commit/6defd320c3049fac13514d9555f05452ea05b3da
2013-11-09 12:28:29 busywater (at) gmail (dot) com Comment #4 Reply to this comment
We have our server properly configured to use pgp.mit.edu.  It does 
appear to automatically get public keys.  But uploads always give 
the incorrect error,

"Key already exists on the public keyserver"

even when the key does not exist.
I confirm that the same situation occur when I try to submit the 
public key generated to the keyserver (pgp.mit.edu).  Horde keeps 
saying "Key already exists on the public keyserver"

While I try search through web interface of pgp.mit.edu, there is no 
such key there.
2012-01-24 09:43:01 Jan Schneider Comment #3 Reply to this comment
I'm thinking about removing keyserver upload completely from 5.1.   
This is one of those features/actions that SHOULDN'T be made 
inherently simple - uploading should only be done when a user fully 
understands the consequences and/or reasoning for doing so.
I don't agree. Key handling and PGP usage should instead be made 
*easier* for users. It's probably debatable whether this is our job, 
but it's as good our job as anyone else's. And if not making it easy 
in a mail client where it's used most often, where else?
2012-01-24 02:24:58 Michael Slusarz Comment #2 Reply to this comment
I'm thinking about removing keyserver upload completely from 5.1.   
This is one of those features/actions that SHOULDN'T be made 
inherently simple - uploading should only be done when a user fully 
understands the consequences and/or reasoning for doing so.
2012-01-18 19:52:32 nathan (at) lstc (dot) com Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ IMP
Summary ⇒ submitting public key to keyserver fails
Type ⇒ Bug
Priority ⇒ 2. Medium
Reply to this comment
We have our server properly configured to use pgp.mit.edu.  It does 
appear to automatically get public keys.  But uploads always give the 
incorrect error,

"Key already exists on the public keyserver"

even when the key does not exist.